<h2>Liste des employés</h2>
<table class="table table-striped">
  <thead>
    <tr>
      <th>Prénom</th>
      <th>Nom</th>
      <th>Email</th>
      <th>Téléphone</th>
      <th>Actions</th>
    </tr>
  </thead>
  <tbody *ngIf="employees != null">
    <tr *ngFor="let employee of employees">
      <td>{{ employee.firstName }}</td>
      <td>{{ employee.lastName }}</td>
      <td>{{ employee.email }}</td>
      <td>{{ employee.phoneNumber }}</td>
      <td>
        <button (click)="updateEmployee(employee.id)" class="btn btn-info">
          Editer
        </button>
        <button
          (click)="deleteEmployee(employee.id)"
          class="btn btn-danger"
          style="margin-left: 10px"
        >
          Supprimer
        </button>
        <button
          (click)="employeeDetails(employee.id)"
          class="btn btn-info"
          style="margin-left: 10px"
        >
          Détails
        </button>
      </td>
    </tr>
  </tbody>
  <tbody *ngIf="employees == null || employees.length == 0">
    <b>Oups ! La liste est vide, Commencez par ajouter des nouveaux membres </b>
    <icon
      class="btn btn-info"
      type="button"
      routerLink="/create-employee"
      style="margin: 10px"
      ><b>+</b></icon
    >
  </tbody>
</table>
